gnutls_x509_privkey_verify_params(3)

NAME
gnutls_x509_privkey_verify_params - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_verify_params(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    a key

DESCRIPTION
This function will verify the private key parameters.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/